#ifndef STA_CORE_ARDUINO_DELAY_HPP
#define STA_CORE_ARDUINO_DELAY_HPP

// Only enable module on Arduino platform
#include <sta/config.hpp>

#if defined(STA_PLATFORM_ARDUINO) || defined(DOXYGEN)

namespace sta
{
    /**
     * @brief Millisecond delay.
     *
     * @param ms    Milliseconds
     */
    void delayMs(uint32_t ms);

    /**
     * @brief Microsecond delay.
     *
     * @param us    Microseconds
     */
    void delayUs(uint32_t us);
} // namespace sta

#endif // STA_PLATFORM_ARDUINO

#endif // STA_CORE_ARDUINO_DELAY_HPP